# На прошлой проверке спрашивали про флаги компилятора. Я выучил :)
# -Wall - включает все предупреждающие сообщения компилятора
# -Werror - данный флаг делает все предупреждения ошибками. Код не скомпилируется при наличии хотя бы одного предупреждения.
# -Wextra - "агрегатор" дополнительных предупреждений. Включает много интересного, чего нет в -Wall

CC = gcc
CFLAGS = -Wall -Werror -Wextra -std=c11
FLAGS =
LOGSDIR = TESTS/logs
OUTPUT = s21_grep
FILE_LIST = s21_grep.c s21_func.c

all: build create_logs_dir
build: s21_grep
rebuild: clean all

s21_grep: $(FILE_LIST)
	$(CC) $(CFLAGS) $(FILE_LIST) -o $(OUTPUT)

#минус перед rm - игнор ошибок https://stackoverflow.com/questions/5553352/how-do-i-check-if-file-exists-in-makefile-so-i-can-delete-it
clean:
	-rm -rf $(OUTPUT)
	-rm -rf $(LOGSDIR)

test:
	chmod +x _tests.sh
	./_tests.sh

#mkdir TESTS/logs 
#Проверяем директорию для логов на существование. Если не существует, создаем
create_logs_dir:
	@if [ ! -d $(LOGSDIR) ] ; then echo "Directory $(LOGSDIR) doesn't exist. Creating $(LOGSDIR)" ; mkdir $(LOGSDIR); fi
